Skip to main content
GET
/
logs
/
{id}
Retrieve logs for a specific execution
curl --request GET \
  --url https://production.runalloy.com/logs/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://production.runalloy.com/logs/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://production.runalloy.com/logs/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "_id": "68110fea7d181f356acd1bf1",
    "executionMode": "cli",
    "executionUuid": "35SnGU0DUSNP5L26fsmnq",
    "workflowId": "67ef01ed8eaeb50b18e646ea",
    "userId": "67a21c7d10e1dee8d5ec3a3d",
    "forgeWorkflowId": "67ef017d8eaeb50b18e635a1",
    "finished": true,
    "retries": [],
    "actions": 3,
    "metadata": {},
    "runData": {},
    "connections": {},
    "startedAt": "2025-04-29T17:44:10.336Z",
    "stoppedAt": "2025-04-29T17:44:10.393Z"
  }
}

Headers

Authorization
string
default:bearer YOUR_API_KEY
required

Path Parameters

id
string
required

The execution ID for which to retrieve logs.

Example:

"68110fea7d181f356acd1bf1"

Response

200 - application/json

Logs for the specified execution retrieved successfully

data
object